diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index 059697e..4963d28 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -193,9 +193,10 @@
     </listitem>
     <listitem>
      <para>
-      Data pages are not currently checksummed, though full page images recorded
-      in WAL records will be protected. Data pages have a 16-bit field available
-      for future use with a data page checksum feature.
+      Data pages are not currently checksummed by default, though full page images
+      recorded in WAL records will be protected. Beginning with PostgreSQL 9.3, 
+      an optional facility is provided to checksum all data pages in a cluster and
+      report corruption; see the <link linkend="app-initdb-data-checksums"><filename>initdb</filename></link> for further details.
      </para>
     </listitem>
     <listitem>
